Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479950 - spacewalk 0.4: new and upgraded schemas do not match
Summary: spacewalk 0.4: new and upgraded schemas do not match
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-14 09:21 UTC by Milan Zázrivec
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:42 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-01-14 09:21:49 UTC
Description of problem:
* New Spacewalk 0.4 installation (spacewalk-schema-0.4.15-1)
* Spacewalk 0.3 upgraded to Spacewalk 0.4

Comparing these two schemas I get following differences:

* rhnKSData table, new installation puts "not null" restriction on ks_type
column, upgraded schema does not.

* rhnPackage table, new installation says number(1) for column compat,
upgraded schema says number(38).

Comment 1 Milan Zázrivec 2009-01-14 13:05:50 UTC
Fixes in:
56960dc72bb4130eeb1b40023a031d817cca5962
45e87b034e0f10fb26dd1d3983ca0fe76e7d38b4

New schema version: spacewalk-schema-0.4.16-1

Comment 2 Miroslav Suchý 2009-01-15 14:20:27 UTC
Upgraded spacewalk:
SQL> desc rhnKSData
 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID                                        NOT NULL NUMBER
 ORG_ID                                    NOT NULL NUMBER
 IS_ORG_DEFAULT                            NOT NULL CHAR(1)
 LABEL                                     NOT NULL VARCHAR2(64)
 COMMENTS                                           VARCHAR2(4000)
 ACTIVE                                    NOT NULL CHAR(1)
 POSTLOG                                   NOT NULL CHAR(1)
 PRE                                                BLOB
 POST                                               BLOB
 NOCHROOT_POST                                      BLOB
 STATIC_DEVICE                                      VARCHAR2(32)
 KERNEL_PARAMS                                      VARCHAR2(128)
 CREATED                                   NOT NULL DATE
 MODIFIED                                  NOT NULL DATE
 PRELOG                                    NOT NULL CHAR(1)
 KSCFG                                     NOT NULL CHAR(1)
 VERBOSEUP2DATE                            NOT NULL CHAR(1)
 NONCHROOTPOST                             NOT NULL CHAR(1)
 COBBLER_ID                                         VARCHAR2(64)
 KS_TYPE                                   NOT NULL VARCHAR2(8)
SQL> desc rhnPackage
 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID                                        NOT NULL NUMBER
 ORG_ID                                             NUMBER
 NAME_ID                                   NOT NULL NUMBER
 EVR_ID                                    NOT NULL NUMBER
 PACKAGE_ARCH_ID                           NOT NULL NUMBER
 PACKAGE_GROUP                                      NUMBER
 RPM_VERSION                                        VARCHAR2(16)
 DESCRIPTION                                        VARCHAR2(4000)
 SUMMARY                                            VARCHAR2(4000)
 PACKAGE_SIZE                              NOT NULL NUMBER
 PAYLOAD_SIZE                                       NUMBER
 BUILD_HOST                                         VARCHAR2(256)
 BUILD_TIME                                         DATE
 SOURCE_RPM_ID                                      NUMBER
 MD5SUM                                    NOT NULL VARCHAR2(64)
 VENDOR                                    NOT NULL VARCHAR2(64)
 PAYLOAD_FORMAT                                     VARCHAR2(32)
 COMPAT                                             NUMBER(1)
 PATH                                               VARCHAR2(1000)
 HEADER_SIG                                         VARCHAR2(64)
 COPYRIGHT                                          VARCHAR2(64)
 COOKIE                                             VARCHAR2(128)
 LAST_MODIFIED                             NOT NULL DATE
 CREATED                                   NOT NULL DATE
 MODIFIED                                  NOT NULL DATE
 HEADER_START                              NOT NULL NUMBER
 HEADER_END                                NOT NULL NUMBER



Brand new spacewalk:
SQL> desc rhnKSData
 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID                                        NOT NULL NUMBER
 KS_TYPE                                   NOT NULL VARCHAR2(8)
 ORG_ID                                    NOT NULL NUMBER
 IS_ORG_DEFAULT                            NOT NULL CHAR(1)
 LABEL                                     NOT NULL VARCHAR2(64)
 COMMENTS                                           VARCHAR2(4000)
 ACTIVE                                    NOT NULL CHAR(1)
 POSTLOG                                   NOT NULL CHAR(1)
 PRELOG                                    NOT NULL CHAR(1)
 KSCFG                                     NOT NULL CHAR(1)
 COBBLER_ID                                         VARCHAR2(64)
 PRE                                                BLOB
 POST                                               BLOB
 NOCHROOT_POST                                      BLOB
 STATIC_DEVICE                                      VARCHAR2(32)
 KERNEL_PARAMS                                      VARCHAR2(128)
 VERBOSEUP2DATE                            NOT NULL CHAR(1)
 NONCHROOTPOST                             NOT NULL CHAR(1)
 CREATED                                   NOT NULL DATE
 MODIFIED                                  NOT NULL DATE

SQL> desc rhnPackage
 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID                                        NOT NULL NUMBER
 ORG_ID                                             NUMBER
 NAME_ID                                   NOT NULL NUMBER
 EVR_ID                                    NOT NULL NUMBER
 PACKAGE_ARCH_ID                           NOT NULL NUMBER
 PACKAGE_GROUP                                      NUMBER
 RPM_VERSION                                        VARCHAR2(16)
 DESCRIPTION                                        VARCHAR2(4000)
 SUMMARY                                            VARCHAR2(4000)
 PACKAGE_SIZE                              NOT NULL NUMBER
 PAYLOAD_SIZE                                       NUMBER
 BUILD_HOST                                         VARCHAR2(256)
 BUILD_TIME                                         DATE
 SOURCE_RPM_ID                                      NUMBER
 MD5SUM                                    NOT NULL VARCHAR2(64)
 VENDOR                                    NOT NULL VARCHAR2(64)
 PAYLOAD_FORMAT                                     VARCHAR2(32)
 COMPAT                                             NUMBER(1)
 PATH                                               VARCHAR2(1000)
 HEADER_SIG                                         VARCHAR2(64)
 COPYRIGHT                                          VARCHAR2(64)
 COOKIE                                             VARCHAR2(128)
 LAST_MODIFIED                             NOT NULL DATE
 CREATED                                   NOT NULL DATE
 MODIFIED                                  NOT NULL DATE
 HEADER_START                              NOT NULL NUMBER
 HEADER_END                                NOT NULL NUMBER

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.